Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.owscommon
Class XMLFactory

    java.lang.Object
      org.deegree.ogcbase.XMLFactory
          org.deegree.owscommon.XMLFactory

Direct Known Subclasses:
  XMLFactory, XMLFactory, XMLFactory, XMLFactory, XMLFactory, XMLFactory, XMLFactory, XMLFactory_1_3_0, XMLFactory_2_0_0

    public class XMLFactory

extends XMLFactory

Factory to create XML representations of components that are defined in the `OWS Common Implementation Capabilities Specification 0.3`.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Field Summary
`protected static URI` | `DEEGREECSWNS`
`protected static URI` | `OWSNS`

Fields inherited from class org.deegree.ogcbase.XMLFactory
`GMLNS, LOG, OGCNS, XLNNS`

Constructor Summary
`XMLFactory()`

Method Summary
`protected static void` | `appendAddress(Element root, Address address)` Appends the DOM representation of the `Address` -section to the passed `Element`.
`protected static void` | `appendDCP(Element root, DCPType dcp)` Appends the DOM representation of a `DCPType` instance to the passed `Element`.
`protected static void` | `appendException(Element node, OGCWebServiceException ex, boolean namespace)` appends a xml representation of an `OGCWebServiceException` to the passed `Element`
`protected static void` | `appendMetadata(Element root, Object metadata)` Appends the DOM representation of a `Metadata` instance to the passed `Element`.
`protected static void` | `appendOperationsMetadata(Element root, OperationsMetadata operationsMetadata)` Appends the DOM representation of the `OperationsMetadata`- section to the passed `Element` .
`protected static void` | `appendOWSKeywords(Element xmlNode, Keywords keywords)` Appends a `ows:Keywords` -element to the passed `Element` and fills it with the available keywords.
`protected static void` | `appendOWSKeywords(Element xmlNode, Keywords[] keywords)` Appends a `ows:Keywords` -element for each `Keywords` object of the passed array to the passed `Element`.
`protected static void` | `appendParameter(Element root, OWSDomainType parameter, String elementName)` Appends the DOM representation of a `OWSDomainType` instance to the passed `Element`.
`protected static void` | `appendPhone(Element root, Phone phone)` Appends the DOM representation of the `Phone` -section to the passed `Element`.
`protected static void` | `appendServiceIdentification(Element root, ServiceIdentification serviceIdentification)` Appends the DOM representation of the `ServiceIdentification`- section to the passed `Element`.
`protected static void` | `appendServiceProvider(Element root, ServiceProvider serviceProvider)` Appends the DOM representation of the `ServiceProvider`- section to the passed `Element`.
`static XMLFragment` | `export(ExceptionReport exr)` Exports an `ExceptionReport` to an XML Document as defined in the `OGC common implementation specification 0.2.0`.
`static XMLFragment` | `exportExceptionReport(ExceptionReport exr)`
`static XMLFragment` | `exportExceptionReportWFS(OGCWebServiceException exc)`
`static XMLFragment` | `exportExceptionReportWFS100(OGCWebServiceException exc)`
`static XMLFragment` | `exportNS(ExceptionReport exr)`
`static void` | `maybeSetAttribute(Element elem, String name, String value)`

Methods inherited from class org.deegree.ogcbase.XMLFactory
`appendCodeList, appendEnvelope, appendFeatureId, appendGeometry, appendInterval, appendKeywords, appendKeywords, appendLonLatEnvelope, appendOnlineResource, appendPropertyPath, appendSimpleLinkAttributes, appendTemporalDomain, appendTimePeriod, appendTimePosition, appendTimeResolution, appendTypedLiteral, appendValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OWSNS

    protected static final URI OWSNS

### DEEGREECSWNS

    protected static final URI DEEGREECSWNS

Constructor Detail

### XMLFactory

    public XMLFactory()

Method Detail

### export

    public static XMLFragment export(ExceptionReport exr)

  Exports an `ExceptionReport` to an XML Document as defined in the `OGC common implementation specification 0.2.0`.

  Parameters:
    `exr` -
  Returns:
    a new ServiceException document

### exportNS

    public static XMLFragment exportNS(ExceptionReport exr)

  Parameters:
    `exr` -
  Returns:
    a new ServiceException document

### exportExceptionReport

    public static XMLFragment exportExceptionReport(ExceptionReport exr)

  Parameters:
    `exr` -
  Returns:
    a new ExceptionReport document according to OWS 1.0.0

### appendException

    protected static void appendException(Element node,
                                          OGCWebServiceException ex,
                                          boolean namespace)

  appends a xml representation of an `OGCWebServiceException` to the passed `Element`

  Parameters:
    `node` -
    `ex` -
    `namespace` - if true, the ogc prefix (bound to the ogc namespace) will be appended

### appendServiceIdentification

    protected static void appendServiceIdentification(Element root,
                                                      ServiceIdentification serviceIdentification)

  Appends the DOM representation of the `ServiceIdentification`- section to the passed `Element`.

  Parameters:
    `root` -
    `serviceIdentification` -

### appendOWSKeywords

    protected static void appendOWSKeywords(Element xmlNode,
                                            Keywords[] keywords)

  Appends a `ows:Keywords` -element for each `Keywords` object of the passed array to the passed `Element`.

  Parameters:
    `xmlNode` -
    `keywords` -

### appendOWSKeywords

    protected static void appendOWSKeywords(Element xmlNode,
                                            Keywords keywords)

  Appends a `ows:Keywords` -element to the passed `Element` and fills it with the available keywords.

  Parameters:
    `xmlNode` -
    `keywords` -

### appendServiceProvider

    protected static void appendServiceProvider(Element root,
                                                ServiceProvider serviceProvider)

  Appends the DOM representation of the `ServiceProvider`- section to the passed `Element`.

  Parameters:
    `root` -
    `serviceProvider` -

### appendPhone

    protected static void appendPhone(Element root,
                                      Phone phone)

  Appends the DOM representation of the `Phone` -section to the passed `Element`.

  Parameters:
    `root` -
    `phone` -

### appendAddress

    protected static void appendAddress(Element root,
                                        Address address)

  Appends the DOM representation of the `Address` -section to the passed `Element`.

  Parameters:
    `root` -
    `address` -

### appendOperationsMetadata

    protected static void appendOperationsMetadata(Element root,
                                                   OperationsMetadata operationsMetadata)

  Appends the DOM representation of the `OperationsMetadata`- section to the passed `Element` .

  Parameters:
    `root` -

### appendDCP

    protected static void appendDCP(Element root,
                                    DCPType dcp)

  Appends the DOM representation of a `DCPType` instance to the passed `Element`.

  Parameters:
    `root` -
    `dcp` -

### appendParameter

    protected static void appendParameter(Element root,
                                          OWSDomainType parameter,
                                          String elementName)

  Appends the DOM representation of a `OWSDomainType` instance to the passed `Element`.

  Parameters:
    `root` -
    `parameter` -

### appendMetadata

    protected static void appendMetadata(Element root,
                                         Object metadata)

  Appends the DOM representation of a `Metadata` instance to the passed `Element`.

  Parameters:
    `root` -
    `metadata` -

### exportExceptionReportWFS

    public static XMLFragment exportExceptionReportWFS(OGCWebServiceException exc)

  Parameters:
    `exc` -
  Returns:
    the exported new document

### exportExceptionReportWFS100

    public static XMLFragment exportExceptionReportWFS100(OGCWebServiceException exc)

  Parameters:
    `exc` -
  Returns:
    the exported exception

### maybeSetAttribute

    public static void maybeSetAttribute(Element elem,
                                         String name,
                                         String value)

  Parameters:
    `elem` -
    `name` -
    `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org